LDD(1)

NOME
ldd - stampa le dipendenze delle librerie condivise

SINTASSI
[opzione]... file...

DESCRIZIONE
ldd stampa le librerie condivise richieste da ciascun programma o libreria condivisa specificata sulla riga di comando.

  Sicurezza
Usualmente, ldd invoca il linker dinamico standard (vedere ld.so(8)) e assegna la variabile d'ambiente LD_TRACE_LOADED_OBJECTS impostandola a 1, la quale fa sì che il linker visualizzi le dipendenze delle librerie. Comunque, bisogna essere informati, che in qualche circostanza, alcune delle versioni ldd possono tentare di ottenere le informazioni sulle dipendenze direttamente, attraverso l'esecuzione del programma. Perciò, non si dovrebbe mai impiegare ldd su un eseguibile non fidato, poiché può avere come risultato l'esecuzione di codice arbitrario. Un'alternativa più sicura quando si ha a che fare con eseguibili non fidati è:

    $ objdump -p /percorso/del/programma | grep NEEDED

OPZIONI

--version
    Stampa il numero di versione di ldd.

-v --verbose
    Stampa tutte le informazioni, inclusa ad es. la versione.

-u --unused
    Stampa le dipendenze dirette inutilizzate. (A partire da glibc 2.3.4.)

-d --data-relocs
    Effettua rilocazioni e riporta ogni oggeto mancante (solo ELF).

-r --function-relocs
    Effettua rilocazioni sia per oggetti dati che per funzioni, e riporta tutti gli oggetti o funzioni mancanti (solo ELF).

--help
    Informazioni sull'uso.

BUG
ldd non funziona con librerie condivise a.out.

ldd non funziona con alcuni programmi a.out molto vecchi, che sono stati costruiti prima che il supporto di ldd fosse aggiunto alle release del compilatore. Se si usa ldd in uno di questi programmi il programma tenterà di funzionare con argc = 0 e i risultati saranno non prevedibili.

VEDERE ANCHE
ld.so(8), ldconfig(8)

COLOPHON
Questa pagina fa parte del rilascio 3.73 del progetto Linux man-pages. Una descrizione del progetto, le istruzioni per la segnalazione degli errori, e l'ultima versione di questa pagina si trova su http://www.kernel.org/doc/man-pages/.

La versione italiana fa parte del pacchetto man-pages-it v. 3.73, a cura di: ILDP "Italian Linux Documentation Project" http://www.pluto.it/ildp
Per la traduzione in italiano si può fare riferimento a http://www.pluto.it/ildp/collaborare/
Segnalare eventuali errori di traduzione a ildp@pluto.it